dofile("data/scripts/lib/utilities.lua")
function OnPlayerSpawned(player_entity)
    local cape = EntityGetWithName("cape")
	edit_component(cape, "VerletPhysicsComponent", function(comp,vars)
		vars.cloth_color = 0xFF1c3878 
        vars.cloth_color_edge = 0xFF1c3a7e
	end)
	EntitySetComponentsWithTagEnabled( player_entity, "jetpack", 1 )
	if( nil == EntityGetFirstComponent( player_entity, "ParticleEmitterComponent", "link_prtl" ) ) then
			for i,compo in ipairs( {"ParticleEmitterComponent", "SpriteParticleEmitterComponent"} ) do
				while( compo ~= nil ) do
					local ptEmit = EntityGetFirstComponent( player_entity, compo, "jetpack" )
					if ( ptEmit == nil ) then break end
					EntityRemoveComponent( player_entity, ptEmit )
				end
			end
		local ptEmit1 = EntityAddComponent( player_entity, "ParticleEmitterComponent",	
		{
			_tags="jetpack,link_prtl",
			emitted_material_name="crystal",
			x_pos_offset_min="-5", x_pos_offset_max="5",
			y_pos_offset_min="-1", y_pos_offset_max="1",
			x_vel_min="-5", x_vel_max="5",
			y_vel_min="-5", y_vel_max="5",
			count_min="5", count_max="5",
			attractor_force="0",
			lifetime_min="0.9", lifetime_max="0.9",
			create_real_particles="0",
			emit_cosmetic_particles="1",
			fade_based_on_lifetime="1",
			draw_as_long="1",
			emission_interval_min_frames="5", emission_interval_max_frames="5",
			is_trail="0",
			trail_gap="0.0",
			airflow_force="0.01", airflow_time="0.9", airflow_scale="0.01",
			is_emitting="1"
		} )
		local ptx, pty = ComponentGetValueVector2( ptEmit1, "gravity" )
		local amn, amx = ComponentGetValueVector2( ptEmit1, "area_circle_radius" )
		pty = "0.0"
		amx = "0"
		ComponentSetValueVector2( ptEmit1, "gravity", ptx, pty )
		ComponentSetValueVector2( ptEmit1, "offset", "0", "0" )
	end
	GamePrintImportant( "You're playing as Link!", "" )
end 
ModDevGenerateSpriteUVsForDirectory( "data/enemies_gfx/" ) 